body {
    font-family: 'Montserrat', sans-serif;
    background-color: #f2f2f2;
}



header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 7px;
    background: linear-gradient(to right, #c11f5a, #1d8aa8);

}

.logo img {
    width: 150px;
    height: 50px;
}

.background {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0.8;
    width: 100%;
    height: 110%;
    background: linear-gradient(to right, #c11f5a, #1d8aa8);
    z-index: -1;
}

.container {
    margin-top: 30%;
    display: flex;
    justify-content: center;
    align-items: center;
    max-width: 200px;
    margin: 0 auto;
    padding: 40px;
    opacity: 0.8;
    background-color: #ffffff;
    border-radius: 12px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
    z-index: -1;
}

h1 {
    font-size: 2.1rem;
    font-weight: 700;
    color: #bcc2b8;
    text-align: center;
    margin: 0;
    margin-top: 100px;
    padding: 30px 0px 10px;
}

h2 {
    font-size: 1.6rem;
    font-weight: 700;
    color: #de5227;
    text-align: center;
    margin-bottom: 10px;
}

form {
    display: block;
    margin-top: 20px;
}

#signup-email,
#login-username,
#loginpassword,
#password,
#confirmPassword,
#Name,
#Surname,
#email,
#login-email,
#confirmEmail {
    flex: 1;
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-sizing: border-box;
}

.password-container {
    position: relative;
}

#errorMessageContainer {

    display: none;
    background-color: #ffdddd;
    font-size: 11px;
    padding: 10px;
    border-radius: 10px;
    box-sizing: border-box;
}

#password-strength {
    display: inline-block;
    font-weight: bold;
    font-size: 8px;
}

#password-strength.weak {
    color: red;
}

#password-strength.strong {
    color: rgb(34, 163, 66);
}

#password-warning {
    font-size: 9px;
    justify-content: flex-start;
    text-align: left;
    width: 80%;

}

#password-warning.weak {
    color: red;
}

#password-warning.strong {
    color: rgb(34, 163, 66);
}

.conversation-box {
    padding-left: 20px;
    font-size: 9px;
    margin-top: 4px;
    width: 120px;
}

.conversation-box.invalid {
    color: red;
}

.conversation-box.valid {
    color: rgb(34, 163, 66);
}

button[type="submit"],
button[type="button"] {
    width: 100%;
    padding: 10px;
    margin-top: 10px;
    background-color: #1d8aa8;
    color: #fff;
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

button[type="submit"]:hover,
button[type="button"]:hover {
    background-color: #de5227;
}

.form-toggle {
    text-align: center;
}

.form-toggle button {
    background: none;
    border: none;
    color: #4285f4;
    cursor: pointer;
    text-decoration: underline;
    padding: 0;
    font-size: 14px;
}

.email-alert {
    padding-left: 6px;
    color: red;
    text-align: center;
    font-weight: bold;
    font-size: 9px;
    display: flex;
}

.error-email-match {
    padding-left: 2px;
    color: red;
    display: none;
    font-size: 9px;
    font-weight: bold;
}

.success-email-match {
    padding-left: 2px;
    color: rgb(34, 163, 66);
    display: none;
    font-size: 9px;
    font-weight: bold;
}

.error-password-match {
    padding-left: 6px;
    color: red;
    display: none;
    font-size: 9px;
    font-weight: bold;
}

.success-password-match {
    padding-left: 6px;
    color: rgb(34, 163, 66);
    display: none;
    font-size: 9px;
    font-weight: bold;
}

#passforgot {
    color: #de5227;
    font-size: 11px;
    font-family: 'montserrat';
    text-align: center;
    font-style: italic;
}

#firstT {
    font-size: 11px;
    font-family: 'montserrat';
}